For the complete documentation index, see llms.txt. This page is also available as Markdown.

User

Operations to manage unapproved users for an entity.

Create a new unapproved user

post

Create an unapproved merchant user associated to the target customer entity. The target entity needs to have a customer profile in the portfolio service and an entity configured to add unapproved users to in the customer profile.

Path parameters
entityUidstring · uuidRequired

The Verifone allocated unique id for this site.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
Body

The details of a Contact.

contactTypestring · enumRequired

An indicator for the type of contact.

ValueDescription
BUSINESSGeneric business contact information, e.g. info@example.com
DISPUTE_HANDLINGGeneric contact information specific to dispute handling, e.g. disputes@example.com
OWNERIndividual contact information of the owner of the Entity, e.g. ben.jerry@example.com
PERSONALPersonal contact information of the person representing the Entity, e.g. bjerr83@example-personal-email-domain.com
Default: BUSINESSPossible values:
emailstring · email · min: 3 · max: 254Optional

A valid internationalized email address, as defined by RFC 5322, RFC 6530, and other RFCs. Due to RFC 5321, an email address can be up to 254 characters long even though up to 64 characters are allowed before and 255 characters are allowed after the @ sign. This pattern verifies only that the string contains an unquoted @ sign. See https://tools.ietf.org/html/rfc5322#section-3.4.1.

Pattern: ^[a-zA-Z0-9!#$%&'*+=?^_`{|}~.-]+@[a-zA-Z0-9-]+[.].+$
businessTitlestring · max: 100Optional
Responses
201

User Created.

application/json
userUidstring · uuidRequired

Unique identifier for the user

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
post/entities/{entityUid}/users

Create a new unapproved user, version 2

post

Create an unapproved merchant user associated to the target customer entity. The target entity needs to have a customer profile in the portfolio service and an entity configured to add unapproved users to in the customer profile.

Path parameters
entityUidstring · uuidRequired

The Verifone allocated unique id for this site.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
Body

The details of a Contact.

or
Responses
201

User Created.

application/json
userUidstring · uuidRequired

Unique identifier for the user

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
post/v2/entities/{entityUid}/users

Last updated

Was this helpful?